Page MenuHomePhabricator

releasenotes: extract helper for checking for incompatible arguments
ClosedPublic

Authored by martinvonz on Dec 13 2019, 2:53 AM.

Details

Summary

This patch extracts a new check_incompatible_arguments() function
similar to check_at_most_one_arg(). The difference is that the new
function is for checking for arguments that are disallowed together
with some other argument but not mutually exclusive among themselves.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Dec 13 2019, 2:53 AM
martinvonz retitled this revision from releasenotes: use cmdutil.check_unique_argument() to releasenotes: extract helper for checking for incompatible arguments.Dec 13 2019, 5:56 PM
martinvonz edited the summary of this revision. (Show Details)
martinvonz updated this revision to Diff 18708.
martinvonz edited the summary of this revision. (Show Details)Dec 16 2019, 6:18 PM
martinvonz updated this revision to Diff 18765.
pulkit accepted this revision.Dec 17 2019, 2:13 AM
This revision is now accepted and ready to land.Dec 17 2019, 2:13 AM
pulkit requested changes to this revision.Dec 17 2019, 2:27 AM
This revision now requires changes to proceed.Dec 17 2019, 2:27 AM
pulkit accepted this revision.Dec 17 2019, 2:27 AM
This revision is now accepted and ready to land.Dec 17 2019, 2:27 AM